declare module "../utils/plugin.utils" {
    /**
     * Type guard to check if a node has jsDoc comments.
     */
    export function hasJsDocComments(node: CemNode): node is CemNodeWithJsDoc;
    /**
     * Delivers a specificly named declaration from a module doc.
     */
    export function findDeclaration<T extends CemJSDoc = CemJSDoc>(moduleDoc?: CemModuleDoc, className?: string): T | undefined;
}
declare module "index" {
    import type { Plugin } from '@custom-elements-manifest/analyzer';
    type PluginOptions = {
        /**
         * Provide a function that loads the readme for a given module path.
         */
        loadReadme(componentPath?: string): string;
    };
    /**
     * A plugin for `@custom-elements-manifest/analyzer` that can be used to provide an additional `readme` property
     * to a module's documentation. This is useful if you want to load the contents from a components README.md file.
     */
    export function customElementInlineReadmePlugin({ loadReadme }: PluginOptions): Plugin;
}
import type { AnalyzePhaseParams } from '@custom-elements-manifest/analyzer';

declare global {
  // CEM uses a specific version of typescript which will most likely not match ours.
  type CemJSDoc = import('@custom-elements-manifest/analyzer/node_modules/typescript').JSDoc;
  type CemJsDocTag = import('@custom-elements-manifest/analyzer/node_modules/typescript').JSDocTag;

  type CemModuleDoc = AnalyzePhaseParams['moduleDoc'];
  type CemNode = AnalyzePhaseParams['node'];
  type CemNodeWithJsDoc = CemNode & { jsDoc: CemJSDoc[] };
}
